
-- body part
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "player_1_body"
	actor[cp_model_dir]			= "player"
	actor[cp_model_name]		= "player-feet"

	actor[cp_actor_type]		= cat_player

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_shadow_to_bone( "rightfoot", 2.5 )
	c_add_shadow_to_bone( "leftfoot", 2.5 )

	c_add_sound_to_anim( "shuffleleft", "player_walk", 1.0 )
	c_add_sound_to_anim( "shuffleright", "player_walk", 1.0 )


-- head part
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "player_1"
	actor[cp_model_dir]			= "player"
	actor[cp_model_name]		= "player-head"
	actor[cp_move_target]		= "player_1_body"

	actor[cp_actor_type]		= cat_player

	actor[cp_hit_power]				= -0.1

	-- movement
--	actor[cp_move_speed_min]		= 0.0
	actor[cp_move_speed_max]		= 0.1
	actor[cp_move_acceleration]		= 0.8
	actor[cp_move_deceleration]		= 0.8
	actor[cp_move_inertia_accn]		= 0.5
	actor[cp_move_inertia_decn]		= 0.5

	actor[cp_turn_speed_still]		= 3.0
	actor[cp_turn_acceleration_still]	= 0.5
	actor[cp_turn_inertia_still]		= 0.1

	actor[cp_launch_scale_min]		= 120.0
	actor[cp_launch_scale_max]		= 120.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_shadow_to_bone( "nosebase", 3.5 )
	c_add_shadow_to_bone( "tailshad01", 1.5 )
	c_add_shadow_to_bone( "tailshad02", 2.5 )
	c_add_shadow_to_bone( "tailshad03", 3.5 )

	c_set_random_anim( "tailsway", 80.0, 110.0, 0.0, 0.0 )
	c_set_random_anim( "blink", 80.0, 100.0, 0.1, 2.0 )

	c_add_particle_to_anim( "fire", "firebone", "player-tank_fire" )
	c_add_sound_to_anim( "fire", "player_fire", 1.0 )

